ElasticGrid support for Java 11 and later

Description

  • create command fails on Java 11 or later due to TLSv1.3

  • Some requests fails on java.util.Date parsing from JSON

Workaround

Add -Djdk.tls.client.protocols=TLSv1.2 to the JVM args to make it use 1.2 instead.
e.g. java -Djdk.tls.client.protocols="TLSv1.2" -jar gsctl.jar create

Acceptance Test

NA

Assignee

Yohana Khoury

Reporter

Yohana Khoury

Labels

Priority

Medium

SalesForce Case ID

None

Fix versions

Commitment Version/s

None

Due date

None

Product

XAP

Edition

Premium

Platform

All
Configure